#ifndef FRIENDSLIST_H
#define FRIENDSLIST_H

#include <QStringList>
#include <QString>
#include <QVector>
#include <QMap>
#include <QSet>

//start

/** A list of friends is a set of strings */
class FriendList :public QSet<QString> { };

/** An FriendMap is a mapping of QStrings to FriendList objects.*/
class FriendMap : public QHash<QString, FriendList > {
  public:
    void set(QString k1, QString k2);
    void unset(QString k1, QString k2);
    /** Return friends of this symbol */
    FriendList& friends(QString key);
};


#endif        //  #ifndef FRIENDSLIST_H
